# Changelog

Here we list the history of changes in remo across the various releases.


## Coming up in the next releases

This is what we plan to work on next. If you have any feedback or preference, we would love to hear them in our support forum.

**Improved dataset experience**

- list view for images details
- folders to organise your images
- sticky bar for easier exploration of data


**More options around export of data**

- option to export list of Classes and empty annotation files (for images without annotations)
- ability to download datasets


**Increased supported tasks**

- pose estimation
- keypoints
- support for videos

---
## v0.4.2 - 02 Juny 20

Some quick fixes post the bigger release:

* CSS on loading bar
* demo access occasional login fail
* handling of tags: now it's case insensitive

---
## v0.4.0 - 29 May 20

**Main Changes**

Most of the work has been about introducing a notification system to inform on progress for images and annotation uploading and parsing, including a detailed breakdown of any error. Nothing fancy, but a great improvement to reliability of the app.

We also expanded the Command Line Interface, allowing for more options (such as kill remo, delete datasets), and simplified the connection between the sdk and the remo server.

For the rest, we completed a series of smaller UX-driven changes to improve usability (including showing selected annotation sizes) and fixed few reported bugs.

**Breakdown**

Bug fixes:

* Delete all images from dataset causes error
* Delete an image and re-upload it: should be allowed
* Up-to-date count of images after fast deleting
* Fix download latest available electron app

Changes:

* Notification system for data upload. You can now monitor the upload of data and get a breakdown of errors that occur.
* Expanded Command Line Interface suit of options
* SDK: rework the connection with remo app and introduce clear option to connect to a remote remo server. "import remo" in conda now does not launch the server
* Annotation tool, delete object: ask for confirmation
* Image view and Annotation tool - objects height and width information

---
## v0.3.42 - 19 May 20

Quick fix to handle directories with space within their name

* Edited installation scripts to handle folder names containing a space e.g. 'C:/remo ai/script'

---

## v0.3.41 - 8 May 20

**Main Changes**

Switched to PostgresSQL for database management, instead of SQLlite. This makes the whole app more responsive and reliable.
For the rest, we implemented a number of small fixes aimed at making making remo more robust

**Breakdown**

Bug fixes:

* Fixed annotation statistics inconsistencies for image classification
* Fixed sending feedback form
* Fixed autologin in browser, and in electron after user changes password
* Fixed rename annotation set
* Fixed export annotation form - missing annotation set name
* Fixed Windows installation in conda env - pip failed to install package
* Fixed duplicate annotation objects

Changes:

* Added support for PostgresSQL as main database
* Improved duplicate annotation set flow
* After annotations uploaded - images marked as annotated
* Improved create annotation set flow
* Improved save annotations behaviour
* Improved data uploading and parsing - moved it to a separate process, which allows to use remo while long uploads are in progress
* Added ability to bulk delete annotations for an image in annotation tool
* Added ability to mark image as TODO in annotation tool
* Improved description of installation steps. Also we are now asking user for explicit permission to install PostgresSQL and additional packages
